Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceWebhooks

Receive inbound webhook

Receive events from external services. Authentication is done via signature verification in the request body or headers.

POST/v1/webhooks/{webhookId}

Path Parameters

webhookId*string

Inbound webhook ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.npayload.com/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "received": true,
  "messageId": "string"
}
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "Validation failed",
    "details": {
      "field": "name",
      "reason": "Name is required"
    }
  }
}
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "string",
    "details": {}
  }
}

Was this page helpful?